Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::SEvent::SKeyInput Struct Reference

Any kind of keyboard event. More...

`#include <IEventReceiver.h>`

List of all members.

## Public Attributes

wchar_t | Char
| Character corresponding to the key (0, if not a character).
bool | Control:1
| True if ctrl was also pressed.
EKEY_CODE | Key
| Key which has been pressed or released.
bool | PressedDown:1
| If not true, then the key was left up.
bool | Shift:1
| True if shift was also pressed.

## Detailed Description

Any kind of keyboard event.

Definition at line 311 of file IEventReceiver.h.

## Member Data Documentation

wchar_t irr::SEvent::SKeyInput::Char

Character corresponding to the key (0, if not a character).

Definition at line 314 of file IEventReceiver.h.

bool irr::SEvent::SKeyInput::Control

True if ctrl was also pressed.

Definition at line 326 of file IEventReceiver.h.

EKEY_CODE irr::SEvent::SKeyInput::Key

Key which has been pressed or released.

Definition at line 317 of file IEventReceiver.h.

bool irr::SEvent::SKeyInput::PressedDown

If not true, then the key was left up.

Definition at line 320 of file IEventReceiver.h.

bool irr::SEvent::SKeyInput::Shift

True if shift was also pressed.

Definition at line 323 of file IEventReceiver.h.

The documentation for this struct was generated from the following file:

- IEventReceiver.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:03 2010 by Doxygen (1.6.2)